Security Enhanced Linux Reference Policy

# Layer: admin

## Module: kismet

Interfaces

### Description:

Kismet is an 802.11 layer2 wireless network detector, sniffer, and intrusion detection system.

### Interfaces:

kismet_admin( domain )

##### Summary

All of the rules required to administrate an kismet environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_append_log( domain )

##### Summary

Allow the specified domain to append kismet log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kismet_domtrans( domain )

##### Summary

Execute a domain transition to run kismet.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

kismet_manage_lib( domain )

##### Summary

Manage kismet var_lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_manage_lib_files( domain )

##### Summary

Create, read, write, and delete kismet lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_manage_log( domain )

##### Summary

Allow domain to manage kismet log files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

kismet_manage_pid_files( domain )

##### Summary

Manage kismet var_run files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_read_lib_files( domain )

##### Summary

Read kismet lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_read_log( domain )

##### Summary

Allow the specified domain to read kismet's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_read_pid_files( domain )

##### Summary

Read kismet PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

kismet_run( domain , role )

##### Summary

Execute kismet in the kismet domain, and allow the specified role the kismet domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access
role | The role to be allowed the kismet domain.

kismet_search_lib( domain )

##### Summary

Search kismet lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return